> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/amiimagevolumechanges-object.md).

# AmiImageVolumeChanges Object

## Description

Represents changes to the EBS volumes when creating an AMI image.

## Properties

### changeIops

Indicates to change the IOPS value of the EBS volumes. Only applies to provisioned IOPS volume types.

Type: `integer`

Required: No

### changeIsDeleteOnTerminate

Indicates whether to change the "delete on terminate" flag for the volume.

Type: `boolean`

Required: No

### changeVolumeType

Indicates to change the type of EBS volume.

Type: `string`

Valid Values:

* `magnetic`
* `ssd-gp2`
* `ssd-gp3`
* `provisioned-iops`
* `throughput-optimized`
* `cold`

Required: No

### volumesToInclude

Indicates the volumes to include in the AMI image.

Type: `string`

Valid Values:

* `all`
* `root-volume-only`

Required: No

Default: `all`

## Sample JSON

```javascript
{
    "volumesToInclude": "all",
    "changeIsDeleteOnTerminate": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/amiimagevolumechanges-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
